Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config.entities
Class ExceptionMappingConfig

    java.lang.Object
      com.opensymphony.xwork2.util.location.Located
          com.opensymphony.xwork2.config.entities.ExceptionMappingConfig

All Implemented Interfaces:
  Locatable, java.io.Serializable

    public class ExceptionMappingConfig

extends Located
implements java.io.Serializable

Configuration for exception mapping.

Author:
  Rainer Hermanns, Matthew E. Porter (matthew dot porter at metissian dot com)
See Also:
  Serialized Form

Nested Class Summary
`static class` | `ExceptionMappingConfig.Builder` The builder for this object.

Field Summary
`protected java.lang.String` | `exceptionClassName`
`protected java.lang.String` | `name`
`protected java.util.Map<java.lang.String,java.lang.String>` | `params`
`protected java.lang.String` | `result`

Fields inherited from class com.opensymphony.xwork2.util.location.Located
`location`

Constructor Summary
`protected` | `ExceptionMappingConfig(ExceptionMappingConfig target)`
`protected` | `ExceptionMappingConfig(java.lang.String name, java.lang.String exceptionClassName, java.lang.String result)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getExceptionClassName()`
`java.lang.String` | `getName()`
`java.util.Map<java.lang.String,java.lang.String>` | `getParams()`
`java.lang.String` | `getResult()`
`int` | `hashCode()`

Methods inherited from class com.opensymphony.xwork2.util.location.Located
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### exceptionClassName

    protected java.lang.String exceptionClassName

### result

    protected java.lang.String result

### params

    protected java.util.Map<java.lang.String,java.lang.String> params

Constructor Detail

### ExceptionMappingConfig

    protected ExceptionMappingConfig(java.lang.String name,
                                     java.lang.String exceptionClassName,
                                     java.lang.String result)

### ExceptionMappingConfig

    protected ExceptionMappingConfig(ExceptionMappingConfig target)

Method Detail

### getName

    public java.lang.String getName()

### getExceptionClassName

    public java.lang.String getExceptionClassName()

### getResult

    public java.lang.String getResult()

### getParams

    public java.util.Map<java.lang.String,java.lang.String> getParams()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.